############################################################
#
# type definition pro_declaration_component_pbsclient
#
# RESPONSIBLE: David Groep <davidg@nikhef.nl>
#
# VERSION : 0.1.3
#
############################################################

declaration template pro_declaration_component_pbsclient;

include pro_declaration_structures;

define type component_pbsclient_pathmapping_type = {
    "locations" : string
    "path"      : string
};

define type component_pbsclient_type = {
    include structure_component
    "masters"   : string[]
    "resources" ? string
    "tmpdir"	? string
    "restricted" ? string[]
    "logEvent"	? long
    "idealLoad"	? double
    "maxLoad"	? double
    "directPaths" ? component_pbsclient_pathmapping_type[]
    "cpuTimeMultFactor" ? double
    "wallTimeMultFactor" ? double
    "prologAlarmSec" ? long
    "configPath" ? string
    "behaviour" ? string with match (self,'OpenPBS|Torque')
    "nodeCheckScriptPath" ? string
    "nodeCheckIntervalSec" ? long
    "initScriptPath" ? string
};


type "/software/components/pbsclient" = component_pbsclient_type;
